Skip to content

Retrieve a Reservation by Locator

Request

To be deprecated and replaced by Get by Identifier using identifier Type "Locator"

Security
bearerAuth
Query
Locatorstring, <= 16 characters([A-Z0-9]+)?

The booking locator code used to retrieve a Reservation

Example:Locator=ABC123
creationDatestring, (date)

PNR creation Date

detailViewIndboolean

If true, ReservationDetail will be returned

viewBrandCompleteInfoIndboolean

If true, Brand complete information will be returned in Reservation Response

viewBaggageDetailIndboolean

if true, full baggage information will be returned in Reservation Response

includeFlightAmenitiesIndboolean

If true, flight amenities will be included in the response

retrieveNonGDSSourceReservationIndboolean

if true, reservation information will be retrieved directly from the source supplier

Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
curl -i -X GET \
  'https://developer.travelport.com/_mock/apis/flights/air/book/reservation/reservations/getbylocator?Locator=ABC123&creationDate=2019-08-24&detailViewInd=true&viewBrandCompleteInfoInd=true&viewBaggageDetailInd=true&includeFlightAmenitiesInd=true&retrieveNonGDSSourceReservationInd=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'

Responses

OK - Successful Response - 200

Bodyapplication/json
ReservationResponseobject(ReservationResponse)

The response of a Create Reservation (Reference or Full Payload), Sync Reservation, Modify/Add Reservation, Create/Modify Passive Reservation, Retrieve Reservation, or Cancel Reservation endpoint. The structure detailed here is the same as for all of these API responses. For Post-Commit Workbench Create and Workbench Retrieve, the response is structured the same plus a workbench identifier. The information returned in the Reservation Retrieve response varies depending on the information that has been added to the reservation at the time of retrieve, whether the reservation has been ticketed, and whether the reservation was created using the Travelport TripServices APIs or another program.

Please note the requests for Workbench Commit (Create Reservation), Post-Commit Workbench Create, and Workbench Retrieve do not support the query parameters available in Reservation Retrieve and do not return the following:

  • any document override, accounting, historical, and DOCI remarks
  • any custom rules
  • brand attributes
  • baggage dimension and fee details
  • fare rules
  • ATPCO RouteHappy flight amenities
Response
{ "ReservationResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }